/*
Theme Name: Shoptimizer Child Theme
Theme URI: 
Description: Child theme of Shoptimizer
Author: CommerceGurus
Author URI: 
Template: shoptimizer
Version: 1.2.2
License:         	GNU General Public License v2 or later
License URI:     	http://www.gnu.org/licenses/gpl-2.0.html
*/

body {
  font-family: Lato, sans-serif;
}

.widget_product_search input,
.widget_search input {
  width: unset;
}

@media (min-width: 993px) {
  .col-full.main-header {
    display: grid;
    grid-template-columns: 1fr 1fr;
  }
  .col-full.main-header .site-search {
    justify-self: flex-end;
  }
}

.footer.site-footer {
  border-top: 1px solid #d1d1d1;
}

.footer-copyright {
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #e7e7e7;
  padding: 12px;
  margin-bottom: 68px;
  font-size: 12px;
}

.banner-link {
  display: flex;
  align-items: center;
  justify-content: space-between;
  color: #3d3d3d;
  padding: 8px;
  fill: #3d3d3d;
}
.banner-link::after {
  content: "";
  display: inline-block;
  width: 14px;
  height: 14px;
  background: url("https://srv75045.seohost.com.pl/puidukoda/wp-content/uploads/2024/12/Caret-Right.svg")
    no-repeat center;
  background-size: contain;
  margin-left: 5px;
}

.banner-link:hover {
  color: var(--e-global-color-primary);
  background-color: #fcfcfc;
  border-radius: 8px;
  cursor: pointer;
}
.link-with-icon {
  display: flex;
  align-items: center;
}
.link-with-icon * {
  margin: 0;
}
.link-with-icon::after {
  content: "";
  display: inline-block;
  width: 24px;
  height: 24px;
  background: url("https://srv75045.seohost.com.pl/puidukoda/wp-content/uploads/2024/12/Caret-Right.svg")
    no-repeat center;
  background-size: contain;
  margin-left: 5px;
}
.link-with-icon:hover::after {
  content: "";
  display: inline-block;
  width: 24px;
  height: 24px;
  background: url("https://srv75045.seohost.com.pl/puidukoda/wp-content/uploads/2024/12/Caret-Right-Selected.svg")
    no-repeat center;
  background-size: contain;
  margin-left: 5px;
}
.banner-link:hover::after {
  background: url("https://srv75045.seohost.com.pl/puidukoda/wp-content/uploads/2024/12/Caret-Right-Selected.svg")
    no-repeat center;
}
.banner-link-list {
  display: flex;
  flex-direction: column;
}

.banner-container > .e-con-inner {
  display: grid;
  grid-template-columns: 375px 1fr;
}

.newsletter-mini {
  display: flex;
  align-items: center;
  border: 1px solid #b0b0b0;
  border-radius: 8px;
  width: 100%;
  overflow: hidden;
  height: 90px;
}

.newsletter-mini-text {
  padding: 30px 60px;
  color: #f6f6f6;
  background-color: #00000a;
  flex: 1;
  font-size: 20px;
  font-weight: 700;
}

.newsletter-mini-action {
  flex: 1;
  display: flex;
  justify-content: flex-end;
  position: relative;
  height: 100%;
  align-items: center;
  background-color: white;
}

.newsletter-mini-action button {
  margin-right: 50px;
}

.newsletter-mini-action::before {
  content: "";
  position: absolute;
  top: 0;
  left: -58px; /* Adjust for overlap */
  bottom: 0;
  width: 60px;
  background-color: white;
  clip-path: polygon(0 100%, 100% 0, 100% 100%);
  height: 90px;
}

.cd-button {
  padding: 10px 50px;
  font-size: 14px;
  font-weight: 600;
  border: 1px solid transparent;
  border-radius: 40px;
}

.cd-button:hover {
  background-color: #940d1d;
  color: white;
  border-color: transparent;
}

.cd-primary-button {
  background-color: black;
  color: white;
}

.cd-secondary-button {
  border: 1px solid #b0b0b0;
  background-color: white;
  color: black;
}

.link-wrapper {
  color: black;
}

ul.products li.product span.price {
  color: #940d1d;
}

.elementor-column-gap-default
  > .elementor-column
  > .elementor-element-populated {
  padding: 0;
}

.elementor-widget-loop-carousel
  .elementor-swiper-button.elementor-swiper-button-prev
  svg {
  fill: white;
  background-color: #00000a;
  border-radius: 50%;
  padding: 5px;
}

.elementor-widget-loop-carousel
  .elementor-swiper-button.elementor-swiper-button-next
  svg {
  fill: white;
  background-color: #00000a;
  border-radius: 50%;
  padding: 5px;
}

input[type="text"] {
  padding: 10px 50px;
  border-radius: 40px;
}

input[type="checkbox"] {
  margin-right: 10px;
  width: 16px;
  height: 16px;
  cursor: pointer;
  color: #d1d1d1;
}

.checkbox-container {
  display: flex;
  align-items: center;
  gap: 8px;
}

.newsletter-form input {
  max-width: 100%;
}

.newsletter-form {
  display: grid;
  grid-template-columns: 1fr 170px;
  gap: 10px;
}

.shoptimizer-category-banner {
  background-image: linear-gradient(90deg, #010304 0%, #6a1b1c 100%);
}
.shoptimizer-category-banner h1 {
  color: #fcfcfc;
}
.woocommerce .shoptimizer-category-banner .taxonomy-description p {
  color: #e7e7e7;
}
.gradient-background::before {
  content: ""; /* Required for pseudo-elements */
  position: absolute;
  top: 0;
  left: 0;
  width: 100%; /* Full screen width */
  height: 100%; /* Matches the height of the element */
  background: linear-gradient(90deg, #010304 0%, #6a1b1c 100%);
  z-index: -1; /* Places the pseudo-element behind the content */
}
.max-width {
  max-width: 100%;
}
.widget_product_categories {
  border-radius: 8px;
  background: white;
  padding: 16px;
  border: 1px solid #e5e5e5;
}
.widget_product_categories .product-categories {
  margin-left: 10px;
}
.widget_product_categories .product-categories .current-cat a {
  color: #940d1d;
}

.site-search input[type="search"] {
  background-color: white;
  border-radius: 8px;
  border: 1px solid #d1d1d1;
}
.header-account a {
  display: flex;
  align-items: center;
  margin-left: 10px;
}
.shoptimizer-cart{
  position: relative;
}
.shoptimizer-cart a.cart-contents .count::after {
  display: none;
}
.shoptimizer-cart a.cart-contents .amount {
  margin-right: 24px;
  margin-left: 4px;
}
.shoptimizer-cart a.cart-contents .count {    
  background-color: #454545;
  color: white !important;
  display: block;
  position: absolute;
  top: 8px;
  right: 16px;
  border-radius: 50%;
  margin-left: 5px;
  padding: 0px;
  border: none;
  margin: 0px;
  line-height: 12px;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 14px;
  min-width: 14px;
}
.shoptimizer-cart::before {
  content: "";
  display: inline-block;
  width: 24px;
  height: 24px;
  background: url("http://srv75045.seohost.com.pl/puidukoda/wp-content/uploads/2024/12/shopping_cart.svg")
    no-repeat center;
  background-size: contain;
  position: absolute;
  right: 0;
  top: 30px;
  transform: translateY(-50%);
}
@media (max-width: 992px) {
  .header-account {
    position: absolute;
    z-index: 2;
    right: 55px;
    top: 35px;
    transform: translateY(-50%);
  }
  .shoptimizer-cart::before {
    top: 15px;
  }
  .shoptimizer-cart a.cart-contents .count {  
    top: -4px;
  }
}
@media (max-width: 1060px) and (min-width: 993px) {
  body:not(.header-4):not(.header-5) .site-header .site-search {
    width: auto;
  }
}
@media (min-width: 993px) {
  .col-full.main-header {
    display: grid;
    grid-template-columns: 1fr 1fr max-content max-content;
  }
  .site-header .site-header-cart {
    display: block;
  }
}

@media (max-width: 1024px) {
  .banner-container > .e-con-inner {
    grid-template-columns: 1fr;
  }

  .newsletter-mini-text {
    font-size: 14px;
    padding: 16px 15px;
    height: 100%;
    display: flex;
    align-self: center;
    justify-content: center;
    flex-direction: column;
  }
  .newsletter-mini-action button {
    margin-right: 15px;
  }
  .pk-section {
    padding-left: 8px;
    padding-right: 8px;
  }
  .newsletter-form {
    grid-template-columns: 1fr;
  }
}
